Bug 118834 - Use of buttons Apply, Reset, and Standard in dialogue Modify Style is not documented
Summary: Use of buttons Apply, Reset, and Standard in dialogue Modify Style is not doc...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2018-07-18 21:46 UTC by Harald Koester
Modified: 2020-02-05 12:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-07-18 21:46:49 UTC
At the bottom of the Modify Style dialogue there are several buttons which functions are not documented. 

In order to open the dialogue:
(a) Open list of styles with F11.
(b) Choose style type (paragraph, character, …) at the top of the style list.
(c) Right click on a style and choose Modify…

These buttons are displayed at the bottom of the dialogue: OK, Apply, Cancel, Reset and Standard. In the help I did not found a description how these buttons work. Expected: The functions of the buttons should be documented in the help because the functions are not self-explaining.

As far as I tested the buttons, these are the functions.
[a] OK: Changes of all tabs are saved, dialogue is closed.
[b] Apply: Changes of all tabs are saved, dialogue is not closed.
[c] Cancel: Changes of all tabs are not saved, dialogue is closed.
[d] Reset: Changes of current tab are undone but not saved, dialogue is not closed.
[e] Standard: Changes of current tab are reset to inherited values but not saved, dialogue is not closed. (Button not available for page and list styles)

Furthermore I propose to display tips with the function of each button, if the cursor rests on a button.
Comment 1 V Stuart Foote 2018-07-19 03:33:06 UTC
Yup... => NEW
Comment 2 Cor Nouws 2019-01-04 12:29:18 UTC
indeed the function of Reset and Standard may be confusing
for the tool tips, see bug #122479